--- old/usr/src/tools/scripts/cstyle.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/cstyle.1onbld	Tue Oct  6 20:55:32 2015
@@ -20,25 +20,22 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH cstyle 1ONBLD "28 March 2005"
+.TH CSTYLE 1ONBLD "Mar 28, 2005"
 .SH NAME
 .I cstyle
 \- check for some common stylistic errors in C source files
 .SH SYNOPSIS
 \fBcstyle [-chpvCP] [-o constructs] [file...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "cstyle" "" "\fBcstyle\fP"
 .LP
 .I cstyle
 inspects C source files (*.c and *.h) for common sylistic errors.  It
-attempts to check for the cstyle documented in 
+attempts to check for the cstyle documented in
 \fI/shared/ON/general_docs/cstyle.ms.pdf\fP.  Note that there is much
 in that document that
 .I cannot
 be checked for; just because your code is \fBcstyle(1ONBLD)\fP clean does not
 mean that you've followed Sun's C style.  \fICaveat emptor\fP.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -50,27 +47,22 @@
 spaces from the start line.  This option enables a series of checks
 designed to find contination line problems within functions only.  The
 checks have some limitations;  see CONTINUATION CHECKING, below.
-.LP
 .TP 4
 .B \-h
 Performs heuristic checks that are sometimes wrong.  Not generally used.
-.LP
 .TP 4
 .B \-p
 Performs some of the more picky checks.  Includes ANSI #else and #endif
 rules, and tries to detect spaces after casts.  Used as part of the
 putback checks.
-.LP
 .TP 4
 .B \-v
 Verbose output;  includes the text of the line of error, and, for
 \fB-c\fP, the first statement in the current continuation block.
-.LP
 .TP 4
 .B \-C
 Ignore errors in header comments (i.e. block comments starting in the
 first column).  Not generally used.
-.LP
 .TP 4
 .B \-P
 Check for use of non-POSIX types.  Historically, types like "u_int" and
@@ -77,50 +69,40 @@
 "u_long" were used, but they are now deprecated in favor of the POSIX
 types uint_t, ulong_t, etc.  This detects any use of the deprecated
 types.  Used as part of the putback checks.
-.LP
 .TP 4
 .B \-o \fIconstructs\fP
 Allow a comma-seperated list of additional constructs.  Available
 constructs include:
-.LP
 .TP 10
 .B doxygen
 Allow doxygen-style block comments (\fB/**\fP and \fB/*!\fP)
-.LP
 .TP 10
 .B splint
 Allow splint-style lint comments (\fB/*@...@*/\fP)
-.LP
 .SH NOTES
 .LP
 The cstyle rule for the OS/Net consolidation is that all new files must
 be \fB-pP\fP clean.  For existing files, the following invocations are
 run against both the old and new files:
-.LP
 .TP 4
 \fBcstyle file\fB
-.LP
 .TP 4
 \fBcstyle -p file\fB
-.LP
 .TP 4
 \fBcstyle -pP file\fB
 .LP
 If the old file gave no errors for one of the invocations, the new file
 must also give no errors.  This way, files can only become more clean.
-.LP
 .SH CONTINUATION CHECKING
 .LP
 The continuation checker is a resonably simple state machine that knows
 something about how C is layed out, and can match parenthesis, etc. over
 multiple lines.  It does have some limitations:
-.LP
 .TP 4
 .B 1.
 Preprocessor macros which cause unmatched parenthesis will confuse the
 checker for that line.  To fix this, you'll need to make sure that each
 branch of the #if statement has balanced parenthesis.
-.LP
 .TP 4
 .B 2.
 Some \fBcpp\fP macros do not require ;s after them.  Any such macros
@@ -130,7 +112,6 @@
 \fB{\fP, or \fB}\fP.
 .LP
 Some continuation error messages deserve some additional explanation
-.LP
 .TP 4
 .B
 multiple statements continued over multiple lines
@@ -148,7 +129,6 @@
 .br
 a = b + c;
 .RE
-.LP
 .TP 4
 .B
 empty if/for/while body not on its own line
